RK-A2 - Feature #3581

Conversation and update support to set_prompt_mods

06/02/2024 10:50 AM - Ram Kordale

Status: Closed
Priority: Urgent
Assignee: Ram Kordale
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

06/02/2024

100%
0.00 hour
0.00 hour

Description

Currently, fields are model, index, prefix and suffix. please add assistant_id and instructions.

-retrieve <assistant_id, instructions, prefix and suffix> for given model and index from DS.

-if assistant_id =

--assistant_id = create_assistant(model, temperature=0.2) [POST https://api.openai.com/v1/assistants]

-store <model, index, assistant_id, instructions, prefix and suffix> to DS.

Also, support update of the record.

History

#1 - 06/02/2024 11:11 AM - Ram Kordale

- Description updated

#2 - 06/03/2024 07:18 AM - Md Shahzar

- Status changed from New to In Progress

#3 - 06/03/2024 08:03 AM - Md Shahzar
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#4 - 06/03/2024 10:49 AM - Md Shahzar
- Status changed from Resolved to Feedback

- Assignee changed from Md Shahzar to Ram Kordale

#5 - 09/11/2024 06:24 AM - Ram Kordale
- Status changed from Feedback to Closed

04/03/2025

1/1
